<?php

namespace App\Domain\PaymentSystems\Data\Tinkoff\Enums;

enum TinkoffPaymentStatus: string
{
    case STATUS_NEW = 'NEW';
    case STATUS_FORM_SHOWED = 'FORM_SHOWED';
    case STATUS_DEADLINE_EXPIRED = 'DEADLINE_EXPIRED';
    case STATUS_CANCELED = 'CANCELED';
    case STATUS_PREAUTHORIZING = 'PREAUTHORIZING';
    case STATUS_AUTHORIZING = 'AUTHORIZING';
    case STATUS_AUTHORIZED = 'AUTHORIZED';
    case STATUS_AUTH_FAIL = 'AUTH_FAIL';
    case STATUS_REJECTED = 'REJECTED';
    case STATUS_DS_CHECKING = 'DS_CHECKING';
    case STATUS_DS_CHECKED = 'DS_CHECKED';
    case STATUS_REVERSING = 'REVERSING';
    case STATUS_PARTIAL_REVERSED = 'PARTIAL_REVERSED';
    case STATUS_REVERSED = 'REVERSED';
    case STATUS_CONFIRMING = 'CONFIRMING';
    case STATUS_CONFIRMED = 'CONFIRMED';
    case STATUS_REFUNDING = 'REFUNDING';
    case STATUS_PARTIAL_REFUNDED = 'PARTIAL_REFUNDED';
    case STATUS_REFUNDED = 'REFUNDED';
}
